package com.jeeplus.modules.sg.overheadline.service;

import com.jeeplus.modules.sg.overheadline.entity.JkxlAdjustFee;
import com.jeeplus.modules.sg.overheadline.mapper.FeeAdjustMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class FeeAdjustService {
    @Autowired
    private FeeAdjustMapper feeAdjustMapper;


    /**
     *查询
     */
   public List<JkxlAdjustFee> getTzFee(JkxlAdjustFee jkxlAdjustFee){
       return feeAdjustMapper.getTzFee(jkxlAdjustFee);
   }

    /**
     *更新
     */
    @Transactional
   public void   updateFee(JkxlAdjustFee jkxlAdjustFee){
       jkxlAdjustFee.setFee(0.00);
        feeAdjustMapper.updateTzFee(jkxlAdjustFee);
   }

    /**
     *保存
     */
    @Transactional
    public void save(JkxlAdjustFee jkxlAdjustFee){
       feeAdjustMapper.saveTzFee(jkxlAdjustFee);
    }

    /**
     *删除
     */
    @Transactional
    public void delete(String id){
       feeAdjustMapper.delete(id);
    }
}
